Get broker-authoritative active and recent order lifecycle
curl --request GET \
--url https://api.example.com/api/graph/v1/execution/lifecycleimport requests
url = "https://api.example.com/api/graph/v1/execution/lifecycle"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/graph/v1/execution/lifecycle', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"connection": "connected",
"freshness": "current",
"as_of": "2023-11-07T05:31:56Z",
"reason": "<string>",
"items": [
{
"execution_id": "<string>",
"symbol": "<string>",
"instrument_type": "<string>",
"contract_symbol": "<string>",
"trading_mode": "paper",
"lifecycle": "submitted",
"broker_status": "<string>",
"authority": "broker_reconciled",
"as_of": "2023-11-07T05:31:56Z",
"execution_identifier": "<string>",
"intent_hash": "<string>",
"review_id": "<string>",
"review_revision": 123,
"revision": 123,
"reason_code": "<string>",
"reason_detail": "<string>",
"legs": [
{
"role": "<string>",
"client_order_id": "<string>",
"broker_order_id": "<string>",
"lifecycle": "submitted",
"broker_status": "<string>",
"total_qty": "<string>",
"filled_qty": "<string>",
"remaining_qty": "<string>",
"filled_avg_price": "<string>",
"side": "<string>",
"order_type": "<string>",
"time_in_force": "<string>",
"limit_price": "<string>",
"stop_price": "<string>",
"eligible_actions": []
}
],
"recent_transitions": [
{
"event_id": "<string>",
"role": "<string>",
"lifecycle": "submitted",
"broker_sequence": 123,
"observed_at": "2023-11-07T05:31:56Z",
"applied": true,
"reason_code": "<string>",
"reason_detail": "<string>",
"replacement_order_id": "<string>"
}
]
}
],
"contract_version": "execution_lifecycle.v1"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Execution
Get broker-authoritative active and recent order lifecycle
Refresh the authenticated caller’s discoverable OR-03 broker orders, then return an owner-scoped active/recent lifecycle projection. Cached rows are explicitly stale when broker refresh is disconnected, unavailable, or incomplete.
GET
/
api
/
graph
/
v1
/
execution
/
lifecycle
Get broker-authoritative active and recent order lifecycle
Query Parameters
Required string length:
1 - 16Required range:
1 <= x <= 200Response
Successful Response
Available options:
connected, disconnected, unavailable Available options:
current, stale, unavailable Show child attributes
Show child attributes
Allowed value:
"execution_lifecycle.v1"